package de.kwoxer.www;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import java.io.File;
import javax.swing.filechooser.FileFilter;
import javax.swing.*;

public class View extends JFrame implements ActionListener {
	/**
	 * @author kwoxer
	 */
	private static final long serialVersionUID = 1L;
	private Model viewComponent = new Model();
	private JMenuBar mbar;
	private JMenu menu;
	private JMenuItem item1, item2, item3;
	private File file = null;

	public View() {
		super("AMS Red Finder by kwoxer");
		mbar = new JMenuBar();
		menu = new JMenu("Datei");
		item1 = new JMenuItem("Open Picture");
		item2 = new JMenuItem("Red Finder");
		item3 = new JMenuItem("RGB Farbraum");
		item1.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_O, InputEvent.CTRL_MASK));
		item1.addActionListener(this);
		item2.addActionListener(this);
		item3.addActionListener(this);
		menu.add(item1);
		menu.add(item2);
		menu.add(item3);
		mbar.add(menu);
		setJMenuBar(mbar);
		add(viewComponent);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		setSize(700, 600);
		setLocation(150, 0);
		file = new File("src/data/kwoxer.bmp");
	}

	public void actionPerformed(ActionEvent arg0) {
		if (arg0.getSource() == item1) {
			JFileChooser d = new JFileChooser("C:");
			d.setFileFilter(new FileFilter() {
				@Override
				public boolean accept(File f) {
					return f.isDirectory() || f.getName().toLowerCase().endsWith(".jpg") || f.getName().toLowerCase().endsWith(".bmp");
				}

				@Override
				public String getDescription() {
					return "*.jpg;*.bmp";
				}
			});
			d.showOpenDialog(null);
			file = d.getSelectedFile();
		}
		if (arg0.getSource() == item2) {
			viewComponent.setRedDetection(true);
		}
		if (arg0.getSource() == item3) {
			viewComponent.setRedDetection(false);
		}
		viewComponent.setImage(file);
	}
}